%global srcname pymssql
%global _description %{expand:A simple database interface for Python that builds on top of FreeTDS to provide
a Python DB-API (PEP-249) interface to Microsoft SQL Server.}

Name:           python-%{srcname}
Version:        2.2.2
Release:        1%{?dist}
Summary:        DB-API interface to Microsoft SQL Server

License:        LGPLv2+
URL:            http://pymssql.org/
Source0:        https://github.com/pymssql/%{srcname}/archive/v%{version}/%{srcname}-%{version}.tar.gz
# Disable dependency on setuptools_scm, which requires a fully intact git repository
Patch0:         %{name}-2.2.1-disable_setuptools_scm.patch

BuildRequires:  freetds-devel
BuildRequires:  gcc
BuildRequires:  openssl-devel
BuildRequires:  python3-devel
BuildRequires:  %{py3_dist cython}
BuildRequires:  %{py3_dist setuptools}
# Needed for tests
BuildRequires:  %{py3_dist psutil}
BuildRequires:  %{py3_dist pytest}
BuildRequires:  %{py3_dist pytest-timeout}

%description
%{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
%{_description}


%prep
%autosetup -n %{srcname}-%{version}
echo '#define PYMSSQL_VERSION "%{version}"' >src/%{srcname}/version.h


%build
LINK_FREETDS_STATICALLY=no %py3_build


%install
%py3_install


# No %%check (unit tests require a running SQL Server database)


%files -n python3-%{srcname}
%doc ChangeLog.rst README.rst
%license LICENSE
%{python3_sitearch}/%{srcname}/
%{python3_sitearch}/%{srcname}-*.egg-info/


%changelog
* Mon Jul 26 2021 Mohamed El Morabity <melmorabity@fedoraproject.org> - 2.2.2-1
- Update to 2.2.2
